Summary:	Interact with the EFI Boot Manager
Name:		efibootmgr
Version:	0.11.0
Release:	6
Epoch:		1
License:	GPL
Group:		System/Kernel and hardware
URL:		https://github.com/rhinstaller/%{name}/
Source0:	https://github.com/rhinstaller/%{name}/releases/download/%{name}-%{version}/%{name}-%{version}.tar.bz2
Patch0:		efibootmgr-0.11.0-mbr-logical-partitions.patch
Patch1:		efibootmgr-0.11.0-use-nvme_ioctl_h.patch
BuildRequires:	pciutils-devel
BuildRequires:	zlib-devel
BuildRequires:	efivar-devel
ExclusiveArch:	%{ix86} x86_64 ia64

%description
This is efibootmgr, a Linux user-space application to modify the Intel
Extensible Firmware Interface (EFI) Boot Manager. This application can
create and destroy boot entries, change the boot order, change the
next running boot option, and more.

Details on the EFI Boot Manager are available from the EFI
Specification, v1.02 or above, available from <http://developer.intel.com>.

Note: efibootmgr requires that the kernel module efivars be loaded
prior to use.  `modprobe efivars` should do the trick.

%prep
%setup -q
%apply_patches

%build
make

%install
mkdir -p %{buildroot}%{_sbindir}
install -m755 src/efibootmgr/efibootmgr %{buildroot}%{_sbindir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%doc doc/ChangeLog doc/TODO
%{_sbindir}/efibootmgr

%changelog

* Thu Sep 06 2018 Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 1:0.11.0-6
- (222285c) Release up for a technical rebuild


